"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = require("express");
const start_1 = require("./start");
const stop_1 = require("./stop");
const remove_1 = require("./remove");
const stats_1 = require("./stats");
const logs_1 = require("./logs");
const router = express_1.Router();
router.get('/:id/start/:hostid', start_1.default);
router.get('/:id/stop/:hostid', stop_1.default);
router.get('/:id/remove/:hostid', remove_1.default);
router.get('/:id/stats', stats_1.default);
router.get('/:id/logs/:hostid', logs_1.default);
router.delete('/:id/host/:hostid', remove_1.default);
exports.default = router;
//# sourceMappingURL=index.js.map