"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = require("express");
const get = require("./get");
const create_1 = require("./create");
const update_1 = require("./update");
const remove_1 = require("./remove");
const router = express_1.Router();
router.get('/:id', get.one);
router.get('/', get.all);
router.post('/', create_1.default);
router.put('/:id', update_1.default);
router.delete('/:id', remove_1.default);
exports.default = router;
//# sourceMappingURL=index.js.map