"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const cmd_1 = require("./cmd");
const path_1 = require("./path");
function clone(application) {
    return __awaiter(this, void 0, void 0, function* () {
        // Working directory for cloning is not relevant
        const workDir = __dirname;
        const path = path_1.default(application);
        const command = `git clone ${application.repository} ${path} --depth=1`;
        const result = yield cmd_1.default(application, workDir, command);
        return result;
    });
}
exports.default = clone;
//# sourceMappingURL=clone.js.map