"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const db = require("../../data");
function getOne(id) {
    return __awaiter(this, void 0, void 0, function* () {
        const host = yield db
            .hosts()
            .select()
            .where('id', id)
            .first();
        return host;
    });
}
exports.getOne = getOne;
function getAll() {
    return __awaiter(this, void 0, void 0, function* () {
        const hosts = yield db
            .hosts()
            .select()
            .orderBy('id', 'asc');
        return hosts;
    });
}
exports.getAll = getAll;
function create(host) {
    return __awaiter(this, void 0, void 0, function* () {
        const result = yield db.hosts().insert(Object.assign({}, host));
        return result;
    });
}
exports.create = create;
//# sourceMappingURL=db.js.map