"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = require("express");
const hosts = require("./get");
const containers = require("./get-containers");
const create_1 = require("./create");
const update_1 = require("./update");
const router = express_1.Router();
router.get('/', hosts.getAll);
router.get('/containers', containers.getAll);
router.get('/:id', hosts.getOne);
router.get('/:id/containers', containers.getOne);
router.post('/', create_1.default);
router.post('/:id', update_1.default);
exports.default = router;
//# sourceMappingURL=index.js.map