"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = require("express");
const get = require("./get");
const inspect_1 = require("./inspect");
const run_1 = require("./run");
const remove_1 = require("./remove");
const pull_1 = require("./pull");
const router = express_1.Router();
router.post('/run', run_1.default);
router.post('/pull', pull_1.default);
router.get('/', get.all);
router.get('/:id', get.one);
router.get('/:id/inspect/:hostId', inspect_1.default);
router.delete('/', remove_1.default);
exports.default = router;
//# sourceMappingURL=index.js.map