"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function slug(ref) {
    return ref
        .toLowerCase()
        .replace(/\s+/g, '-') // Replace spaces with -
        .replace(/[^\w\-\.]+/g, '') // Remove all non-word chars except dashes and dots
        .replace(/\-\-+/g, '-') // Replace multiple - with single -
        .replace(/^-+/, '') // Trim - from start of text
        .replace(/-+$/, ''); // Trim - from end of text
}
exports.default = slug;
//# sourceMappingURL=slug.js.map