"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = require("express");
const hosts_1 = require("./hosts");
const containers_1 = require("./containers");
const images_1 = require("./images");
const applications_1 = require("./applications");
const queue_1 = require("./queue");
const configuration_1 = require("./configuration");
const credentials_1 = require("./credentials");
const router = express_1.Router();
router.use('/hosts', hosts_1.default);
router.use('/containers', containers_1.default);
router.use('/images', images_1.default);
router.use('/applications', applications_1.default);
router.use('/configuration', configuration_1.default);
router.use('/credentials', credentials_1.default);
router.use('/queue', queue_1.default);
exports.default = router;
//# sourceMappingURL=index.js.map