"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const knex = require("knex");
const path = require("path");
const dbLocation = process.env.CONCIERGE_DB_PATH || path.resolve(__dirname, '..', '..', 'db', 'concierge.db');
const connection = knex({
    client: 'sqlite3',
    connection: {
        filename: dbLocation
    },
    useNullAsDefault: true
});
function getTransaction() {
    const promise = new Promise(resolve => {
        connection.transaction(trx => resolve(trx));
    });
    return promise;
}
;
connection['getTransaction'] = getTransaction;
exports.default = connection;
//# sourceMappingURL=connection.js.map